---
title: CodeceptUI
layout: Section
permalink: /ui
---


<img src="/img/codeceptui.png" alt="CodeceptUI" style="width: 100%; border-radius: 5px; box-shadow: 0px 5px 10px rgba(0,0,0,0.1)" />


## CodeceptUI <Badge text="beta" type="warn"/>

CodeceptJS has an interactive, graphical test runner. We call it CodeceptUI. It works in your browser and helps you to manage your tests.

CodeceptUI can be used for

* running tests by groups or single
* get test reports
* review tests
* edit tests and page objects
* write new tests
* easily switch to headless/headful mode

CodeceptUI is a useful addon to CodeceptJS, we recommend to try.
It is an [open-source Vue-based application](https://github.com/codecept-js/ui) which runs in your browser.

> 📺 [Watch CodeceptUI in Action](https://www.youtube.com/watch?v=7pKNVjAckPA)

> 📺 [Watch how to write a new test in CodeceptUI](https://www.youtube.com/watch?v=7P99P5aNnz8)


## Using CodeceptUI

To start using CodeceptUI you need to have CodeceptJS project already created with a few tests already written.

Install CodeceptUI via npm

```
npm i @codeceptjs/ui --save
```

Execute it:

```
npx codecept-ui
```

## Notice

CodeceptUI is in beta. It means that we didn't have a chance to test it for all possible setups.
You are highly welcome to try it, test it, send issues and **pull requests**.

[Join development team on GitHub!](https://github.com/codecept-js/ui)



